function init()
{
   for(var _loc3_ in objArray)
   {
      var _loc1_ = objArray[_loc3_];
      var _loc2_ = 10000 - _loc1_.z;
      _loc2_ = checkDepth(_loc2_);
      _loc1_.swapDepths(_loc2_);
      make3D(_loc1_);
   }
}
function checkDepth(depth)
{
   if(this.getInstanceAtDepth(depth) != undefined)
   {
      checkDepth(depth = depth + 1);
   }
   return depth;
}
function addObj(objName, x, y, z)
{
   var _loc3_ = _global.atMV(objName,this,{_x:x,_y:y});
   _loc3_._x = x;
   _loc3_._y = y;
   _loc3_.x = x;
   _loc3_.y = y;
   _loc3_.z = z;
   make3D(_loc3_);
   array_AddObj(_loc3_);
}
function addObj_exist(obj, z, depthOffset)
{
   obj.x = obj._x;
   obj.y = viewY;
   obj.z = z;
   obj.depthOffset = depthOffset;
   make3D(obj);
   array_AddObj(obj);
}
function resetBullet(id)
{
   if(id == 1)
   {
      bullet.x = adder_mc.x;
      bullet.y = adder_mc.y;
      make3D(bullet);
      bullet.reset();
   }
   else if(id == 2)
   {
      bullet2.x = adder_mc2.x;
      bullet2.y = adder_mc2.y;
      make3D(bullet2);
      bullet2.reset();
   }
}
function addCloud()
{
   var _loc2_ = 0;
   while(_loc2_ < 10)
   {
      objNum++;
      var _loc1_ = attachMovie("cloud","cloud_" + _loc2_,objNum);
      _loc1_.x = int(Math.random() * 4000) - 700;
      _loc1_.y = viewY - 300;
      _loc1_.z = _loc2_ + z_cloud;
      objArray.push(_loc1_);
      _loc2_ = _loc2_ + 1;
   }
}
function addTree()
{
   var _loc2_ = 0;
   while(_loc2_ < numTrees)
   {
      objNum++;
      var _loc1_ = attachMovie("tree","tree" + _loc2_,objNum);
      _loc1_.x = Math.random() * 10000 - 1000;
      _loc1_.y = viewY;
      _loc1_.z = int(Math.random() * 2000) + z_tree2;
      objArray.push(_loc1_);
      _loc2_ = _loc2_ + 1;
   }
   _loc2_ = 0;
   while(_loc2_ < 20)
   {
      objNum++;
      _loc1_ = attachMovie("tree","tree1_" + _loc2_,objNum);
      _loc1_.x = int(Math.random() * 4000) - 700;
      _loc1_.y = viewY;
      _loc1_.z = _loc2_ + z_tree1;
      objArray.push(_loc1_);
      _loc2_ = _loc2_ + 1;
   }
}
function array_AddObj(obj)
{
   objArray.push(obj);
   obj.arrayID = objArray.length - 1;
}
function array_DeleteObj(obj)
{
   objArray.splice(obj.arrayID,1);
}
function cameraMove(dx, dz)
{
   vx = - dx;
   for(var _loc2_ in objArray)
   {
      var _loc1_ = objArray[_loc2_];
      _loc1_.x += vx;
      _loc1_.y += vy;
      _loc1_.z += vz;
      make3D(_loc1_);
   }
}
function cameraChase(target_mc, centerX, centerY)
{
   var LeftX = 100;
   var RightX = _root.stageW - 100;
   var topY = 50;
   var bottomY = _root.stageH - 250;
   var landY = role._y;
   this.onEnterFrame = function()
   {
      var _loc4_ = _global.lToG(target_mc);
      if(role._y < landY)
      {
         centerY += viewY;
      }
      var _loc6_ = (_loc4_.x - centerX) / 4;
      var _loc5_ = (_loc4_.y - centerY) / 4;
      if(_loc4_.x < LeftX)
      {
         _loc6_ += _loc4_.x - LeftX;
      }
      else if(_loc4_.x > RightX)
      {
         _loc6_ += _loc4_.x - RightX;
      }
      if(_loc4_.y < topY)
      {
         _loc5_ += _loc4_.y - topY;
      }
      else if(_loc4_.y > bottomY)
      {
         _loc5_ += _loc4_.y - bottomY;
      }
      if(_loc6_ * _loc6_ + _loc5_ * _loc5_ == 0)
      {
         delete this.onEnterFrame;
      }
      vx = - _loc6_;
      vy = - _loc5_;
      for(var _loc7_ in objArray)
      {
         var _loc3_ = objArray[_loc7_];
         _loc3_.x += vx;
         _loc3_.y += vy;
         _loc3_.z += vz;
         make3D(_loc3_);
      }
   };
}
function cameraChase_stop()
{
   delete this.onEnterFrame;
}
function cameraMoveTo(target_mc, centerX, centerY)
{
   this.onEnterFrame = function()
   {
      var _loc7_ = _global.lToG(target_mc);
      var _loc6_ = (_loc7_.x - centerX) / 4;
      var _loc5_ = (_loc7_.y - centerY) / 4;
      if(_loc6_ * _loc6_ + _loc5_ * _loc5_ < 0.1)
      {
         delete this.onEnterFrame;
      }
      vx = - _loc6_;
      vy = - _loc5_;
      for(var _loc4_ in objArray)
      {
         var _loc3_ = objArray[_loc4_];
         _loc3_.x += vx;
         _loc3_.y += vy;
         _loc3_.z += vz;
         make3D(_loc3_);
      }
   };
}
function make3D(mc)
{
   var _loc2_ = fl / (fl + mc.z);
   mc._xscale = mc._yscale = _loc2_ * 100;
   mc._x = mc.x * _loc2_;
   mc._y = mc.y * _loc2_;
}
function setLevel()
{
   if(_root.gameLevel < 1)
   {
      return undefined;
   }
   var _loc2_ = int(Math.random() * 20 + 1) * 100;
   role2.x += _loc2_;
   adder_mc2.x += _loc2_;
   hill2.x += _loc2_;
   iceHill.x = role.x + int(Math.random() * (role2.x - role.x));
   if(iceHill.x < role.x + 350)
   {
      iceHill.x = role.x + 350;
   }
   else if(iceHill.x > role2.x - 350)
   {
      iceHill.x = role2.x - 350;
   }
   make3D(iceHill);
}
stop();
var fl = 200;
var numTrees = 100;
var vx = 0;
var vy = 0;
var vz = 0;
var viewY = _root.viewY;
var objNum = 0;
var z_tree1 = 30;
var z_tree2 = 50;
var z_cloud = 1000;
var depthOffset1 = 100;
var depthOffset2 = 50;
var depthOffset3 = 0;
var objArray = new Array();
addObj_exist(role,-5,depthOffset1);
role.init(role2);
addObj_exist(role2,-6,depthOffset1);
role2.init(role);
addObj_exist(bullet,3,depthOffset1);
bullet.init(role2);
addObj_exist(bullet2,4,depthOffset1);
bullet2.init(role);
if(_root.gameLevel > 1)
{
   addObj_exist(iceHill,-20,depthOffset1);
}
else
{
   iceHill.swapDepths(this.getNextHighestDepth());
   iceHill.removeMovieClip();
}
addObj_exist(hill,7,depthOffset1);
addObj_exist(hill2,8,depthOffset1);
addObj_exist(adder_mc,10,depthOffset1);
addObj_exist(adder_mc2,10,depthOffset1);
addTree();
init();
setLevel();
